Update patient contact details
curl --request PATCH \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/patient/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"secondary_phone": "<string>",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"next_of_kin_name": "<string>",
"next_of_kin_relationship": "<string>",
"next_of_kin_phone": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
secondary_phone: '<string>',
address: '<string>',
city: '<string>',
county: '<string>',
country: '<string>',
next_of_kin_name: '<string>',
next_of_kin_relationship: '<string>',
next_of_kin_phone: '<string>'
})
};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/patient/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/patient/me"
payload = {
"email": "jsmith@example.com",
"secondary_phone": "<string>",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"next_of_kin_name": "<string>",
"next_of_kin_relationship": "<string>",
"next_of_kin_phone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {}
}Patient profile
Update patient contact details
Updates patient-managed contact and next-of-kin fields. Verified identity fields and the primary phone are excluded.
PATCH
/
patient
/
me
Update patient contact details
curl --request PATCH \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/patient/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"secondary_phone": "<string>",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"next_of_kin_name": "<string>",
"next_of_kin_relationship": "<string>",
"next_of_kin_phone": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
secondary_phone: '<string>',
address: '<string>',
city: '<string>',
county: '<string>',
country: '<string>',
next_of_kin_name: '<string>',
next_of_kin_relationship: '<string>',
next_of_kin_phone: '<string>'
})
};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/patient/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/patient/me"
payload = {
"email": "jsmith@example.com",
"secondary_phone": "<string>",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"next_of_kin_name": "<string>",
"next_of_kin_relationship": "<string>",
"next_of_kin_phone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Patient-owned resource.